Bug 822994 - MySQL cartridge always returning state: "unknown" on /gear_groups
MySQL cartridge always returning state: "unknown" on /gear_groups
Status: CLOSED UPSTREAM
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 14:06 EDT by Clayton Coleman
Modified: 2015-05-14 18:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-22 14:33:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-05-18 14:06:24 EDT
I installed a mysql cartridge but I get state unknown on all requests to /gear_groups

    {
      "gears": [
        {
          "id": "05795073f4f2426e9e8aea1d858f05fa",
          "state": "unknown"
        }
      ],
      "cartridges": [
        {
          "name": "mysql-5.1"
        }
      ],
      "name": "@@app/comp-proxy/cart-mysql-5.1/group-mysql"
    }
Comment 1 Abhishek Gupta 2012-05-21 13:15:12 EDT
Had a discussion with Jhon Honce on friday related to this bug.
Comment 2 Jhon Honce 2012-05-21 17:46:35 EDT
None of the "embedded" cartridges have the hooks for creating/updating the .state file. 

Will work with Arch board to have US written to push .state from cartridge to gear level.
Comment 3 Jhon Honce 2012-05-22 14:33:11 EDT
I created (US2321 Cartridge-level state tracking in type-less gears) to track this work.

Note You need to log in before you can comment on or make changes to this bug.